secblockfwd.h File Reference

Forward declarations for SecBlock. More...

Go to the source code of this file.

## Typedefs

typedef SecBlock< byte, AllocatorWithCleanup< byte, false > > | SecByteBlock
typedef SecBlock< word, AllocatorWithCleanup< word, false > > | SecWordBlock
typedef SecBlock< byte, AllocatorWithCleanup< byte, true > > | AlignedSecByteBlock

## Detailed Description

Forward declarations for SecBlock.

secblock.h and misc.h have a circular dependency. secblockfwd.h allows the library to sidestep the circular dependency, and reference SecBlock classes without the full implementation.

Since
  Crypto++ 8.3

Definition in file secblockfwd.h.

## Typedef Documentation

## SecByteBlock

typedef SecBlock<byte, AllocatorWithCleanup<byte, false> > SecByteBlock

Definition at line 23 of file secblockfwd.h.

## SecWordBlock

typedef SecBlock<word, AllocatorWithCleanup<word, false> > SecWordBlock

Definition at line 24 of file secblockfwd.h.

## AlignedSecByteBlock

typedef SecBlock<byte, AllocatorWithCleanup<byte, true> > AlignedSecByteBlock

Definition at line 25 of file secblockfwd.h.